TV_GRAB_DK_DR(1)

NAME
tv_grab_dk_dr - Grab TV listings for Denmark.

SYNOPSIS
tv_grab_dk_dr --help

tv_grab_dk_dr --configure [--config-file FILE] [--gui OPTION]

tv_grab_dk_dr [--config-file FILE] [--output FILE] [--days N] [--offset N] [--quiet]

tv_grab_dk_dr --capabilities

tv_grab_dk_dr --version

DESCRIPTION
Output TV listings for several channels available in Denmark. The data comes from dr.dk. The grabber now uses a JSON API to retrieve data and no longer relies on parsing HTML.

First run tv_grab_dk_dr --configure to choose, which channels you want to download. Then running tv_grab_dk_dr with no arguments will output listings in XML format to standard output.

--configure Prompt for which channels, and write the configuration file.

--config-file FILE Set the name of the configuration file, the default is ~/.xmltv/tv_grab_dk_dr.conf. This is the file written by --configure and read when grabbing.

--gui OPTION Use this option to enable a graphical interface to be used. OPTION may be 'Tk', or left blank for the best available choice. Additional allowed values of OPTION are 'Term' for normal terminal output (default) and 'TermNoProgressBar' to disable the use of Term::ProgressBar.

--output FILE Write to FILE rather than standard output.

--days N Grab N days. The default is one week.

--offset N Start N days in the future. The default is to start from today.

--quiet Suppress the progress messages normally written to standard error.

--capabilities Show which capabilities the grabber supports. For more information, see <http://wiki.xmltv.org/index.php/XmltvCapabilities>

--version Show the version of the grabber.

--help Print a help message and exit.

SEE ALSO
xmltv(5).

AUTHOR
This version of tv_grab_dk_dr was written by Morten Grouleff <morten at grouleff dot com>